<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="multiple-change-tests">
  
  <test name="paragraph-add-and-delete">
    <parameter name="name" value="paragraph-add-and-delete"/>
    <parameter name="dir" value="test/multiple-changes/para-add-then-delete"/>
    <parameter name="trackedFile" value="para-add-delete-tracked.odt"/>
    <parameter name="versions" value="para-add-delete-v1.odt,para-add-delete-v2.odt,para-add-delete-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="paragraph-multiple-split">
    <parameter name="name" value="paragraph-multiple-split"/>
    <parameter name="dir" value="test/multiple-changes/paragraph-multiple-split"/>
    <parameter name="trackedFile" value="para-multiple-split-tracked.odt"/>
    <parameter name="versions" value="para-multiple-split-v1.odt,para-multiple-split-v2.odt,para-multiple-split-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="paragraph-add-then-merge">
    <parameter name="name" value="paragraph-add-then-merge"/>
    <parameter name="dir" value="test/multiple-changes/para-add-then-merge"/>
    <parameter name="trackedFile" value="para-add-merge-tracked.odt"/>
    <parameter name="versions" value="para-add-merge-v1.odt,para-add-merge-v2.odt,para-add-merge-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="remove-span-then-para">
    <parameter name="name" value="remove-span-then-para"/>
    <parameter name="dir" value="test/multiple-changes/remove-span-then-remove-para"/>
    <parameter name="trackedFile" value="remove-span-then-para-tracked.odt"/>
    <parameter name="versions" value="remove-span-then-para-v1.odt,remove-span-then-para-v2.odt,remove-span-then-para-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="multiple-style-changes">
    <parameter name="name" value="multiple-style-changes"/>
    <parameter name="dir" value="test/multiple-changes/multiple-style-changes"/>
    <parameter name="trackedFile" value="multiple-style-changes-tracked.odt"/>
    <parameter name="versions" value="multiple-style-changes-v1.odt,multiple-style-changes-v2.odt,multiple-style-changes-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="add-modify-delete-attribute">
    <parameter name="name" value="add-modify-delete-attribute"/>
    <parameter name="dir" value="test/multiple-changes/add-modify-delete-attribute"/>
    <parameter name="trackedFile" value="add-mod-del-att-tracked.odt"/>
    <parameter name="versions" value="add-mod-del-att-v1.odt,add-mod-del-att-v2.odt,add-mod-del-att-v3.odt,add-mod-del-att-v4.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="span-change-para-split">
    <parameter name="name" value="span-change-para-split"/>
    <parameter name="dir" value="test/multiple-changes/span-change-and-para-split"/>
    <parameter name="trackedFile" value="span-change-para-split-tracked.odt"/>
    <parameter name="versions" value="span-change-para-split-v1.odt,span-change-para-split-v2.odt,span-change-para-split-v3.odt,span-change-para-split-v4.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="delete-then-add-attribute">
    <parameter name="name" value="delete-then-add-attribute"/>
    <parameter name="dir" value="test/multiple-changes/delete-then-add-attribute"/>
    <parameter name="trackedFile" value="delete-then-add-attribute-tracked.odt"/>
    <parameter name="versions" value="delete-then-add-attribute-v1.odt,delete-then-add-attribute-v2.odt,delete-then-add-attribute-v3.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>